net.sourceforge.pmd.lang.xml

## Class XmlParserOptionsTest

- java.lang.Object
- - net.sourceforge.pmd.lang.xml.XmlParserOptionsTest

    public class XmlParserOptionsTest
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`XmlParserOptionsTest()`

### Method Summary

Methods
`static junit.framework.Test` `suite()`
`void` `testConstructor()`
`void` `testDefaults()`
`void` `testEqualsHashcode()`
`void` `testSetters()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XmlParserOptionsTest

    public XmlParserOptionsTest()

### Method Detail

#### testDefaults

    public void testDefaults()
                      throws Exception

Throws:
  `Exception`

#### testConstructor

    public void testConstructor()
                         throws Exception

Throws:
  `Exception`

#### testSetters

    public void testSetters()

#### testEqualsHashcode

    public void testEqualsHashcode()
                            throws Exception

Throws:
  `Exception`

#### suite

    public static junit.framework.Test suite()